<%@page pageEncoding="iso-8859-1" contentType="text/html; charset=iso-8859-1" %>
<%@page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bActasBD"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bProvinciasBD"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bCentroTrabajoBD"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bActasVistaBD"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bPreavisosBD"%>

<%@ taglib uri="/WEB-INF/tld/ejieFramework-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>

<%@ page import="es.ejie.frmk.listeners.base.Q70ListenerUtils" %>


<%@ page import="es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesi18n" %>
<%@page import="w83b.w83bUtilidadesComunes.W83bUtilidadesN38API"%>

<bean:define id="strIdioma" type="java.lang.String" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA%>"/>
<bean:define id="permisoUsuario" type="w83b.w83bBeans.W83bUsuarioXLNetsBean" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO %>"></bean:define>

<%	
String versionjs= Q70ListenerUtils.getApplicationProperty("versionjs");
%>
<script type="text/javascript">
var fechanoValida = '<html:message i18nKey="w83brecursosErrores" key="error.mensaje.fechanoValida"/>';

//David 11/07/2013 Comision
var btnFComisionMasiva = '<html:message i18nKey="w83bcomun" key="comun.actas.FComisionMasiva"/>';
var literalseleccionarUnRegistroValidar= '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistroValidar"/>';

var txtInicio = '<html:message i18nKey="w83bcomun" key="comun.actas.del"/>';
var txtFin = '<html:message i18nKey="w83bcomun" key="comun.actas.al"/>';
var txtInicioFechaTramiteHasta = '<html:message i18nKey="w83bcomun" key="comun.actas.fechaTramiteHasta"/>';
var txtFinFechaTramiteDesde = '<html:message i18nKey="w83bcomun" key="comun.actas.fechaTramiteDesde"/>';
var literalBorrada = '<html:message i18nKey="w83bcomun" key="comun.herramientas.si"/>';

var literalseleccionarUnRegistroEditarSolo= '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistro"/>';
var literalseleccionarUnRegistroEditar= '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistroEditar"/>';
var literalseleccionarUnRegistroBorrar= '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistroBorrar"/>';
var literalseleccionarUnRegistroBorrarSolo = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistroBorrarSolo"/>';
var literalActaBorrada = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.actaBorrada"/>';


var nActa = '<%=W83bActasVistaBD.codTerritorioActa%>,<%=W83bActasVistaBD.anyoActa%>,<%=W83bActasVistaBD.numActa%>';
var nRegistro = '<%=W83bActasVistaBD.NREGISTRO%>';
var nPreaviso = '<%=W83bActasVistaBD.codTerritorioPreaviso%>,<%=W83bActasVistaBD.anyoPreaviso%>,<%=W83bActasVistaBD.numPreaviso%>';

var razonSocialActas = '<%=W83bActasVistaBD.RAZONSOCIAL%>';
var cif  = '<%="centros."+W83bPreavisosBD.CIFNIF%>';
var nCentro = '<%="centros."+W83bPreavisosBD.CODCENTRO%>';
var municipio = '<%=W83bActasVistaBD.MUNICIPIO%>';
<%--var codMunicipio = '<%="centros."+W83bPreavisosBD.TERRITORIO +", upper(centros."+ W83bPreavisosBD.MUNICIPIO+")"%>';--%>
var codMunicipio = '<%="centros."+W83bCentroTrabajoBD.codProvinciaCentro +", upper(centros."+ W83bCentroTrabajoBD.codMunicipioCentro+")"%>';
var fEleccion = '<%=W83bActasVistaBD.FELECCION%>';
var fComision = '<%=W83bActasVistaBD.FCOMISION%>';
var nTrabajadores = '<%=W83bActasVistaBD.NTRABAJADORES%>';
var nElectores = '<%=W83bActasVistaBD.NELECTORES%>';
var baja = '<%=W83bActasVistaBD.BAJA%>';

var nActaTxt = '<html:message key="comun.actas.nActa"/>'; 
var nRegistroTxt = '<html:message key="comun.actas.nRegistro"/>';
var nPreavisoTxt = '<html:message key="comun.actas.nPreaviso"/>';
var razonSocialTxt = '<html:message key="comun.actas.razonSocial"/>';
var cifTxt = '<html:message key="comun.actas.cif"/>';
var nCentroTxt = '<html:message key="comun.actas.nCentro"/>';
var municipioTxt = '<html:message key="comun.actas.municipio"/>';
var fEleccionTxt = '<html:message key="comun.actas.fEleccion"/>';
var fComisionTxt = '<html:message key="comun.actas.fComision"/>';
var nTrabajadoresTxt = '<html:message key="comun.actas.nTrabajadores"/>';
var nElectoresTxt = '<html:message key="comun.actas.nElectores"/>';
var bajaTxt = '<html:message key="comun.actas.baja"/>';
var literalborradoOk = '<html:message  i18nKey="w83bcomun" key="comun.mensaje.borradoOk"/>';

//validaciones

var nActaDesde_ObligatorioAntes_Hasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numeroActa",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numeroActa",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var nRegDesde_ObligatorioAntes_Hasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numRegDefinitivo",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numRegDefinitivo",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var nElectores_ObligatorioAntes_Hasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.nElectores",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.nElectores",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var soloValidoFiltroSinRegONumReg = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.actas.soloValidoFiltroSinRegONumReg",strIdioma.toString(),null) %>';
var numeroActaObligatorioAnyoDesde = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.numeroActaObligatorioAnyoDesde",strIdioma.toString(),null) %>';
var numeroActaObligatorioAnyoHasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.numeroActaObligatorioAnyoHasta",strIdioma.toString(),null) %>';
var numeroRegObligatorioAnyoDesde = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.numeroRegObligatorioAnyoDesde",strIdioma.toString(),null) %>';
var numeroRegObligatorioAnyoHasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.numeroRegObligatorioAnyoHasta",strIdioma.toString(),null) %>';
var fechaEntrada_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						}) %>';
var fechaEntrada_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';

var fechaEntrada_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEntrada",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaComision_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaComision",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						}) %>';
var fechaComision_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaComision",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaComision_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaComision",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaComision",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaEleccion_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEleccion",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						}) %>';
var fechaEleccion_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEleccion",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaEleccion_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEleccion",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaEleccion",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaActasBaja_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.actasBaja",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						}) %>';
var fechaActasBaja_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.actasBaja",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaActasBaja_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.actasBaja",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.actasBaja",strIdioma.toString())+" "+
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())
						}) %>';
var fechaActasTramitacion_fInicioValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaTramiteDesde",strIdioma.toString())
						}) %>';
var fechaActasTramitacion_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaTramiteHasta",strIdioma.toString())
						}) %>';
var fechaActasTramitacion_fInicio_fFinalValidacion = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaTramiteDesde",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fechaTramiteHasta",strIdioma.toString())
						}) %>';
var validacionUltTramite = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.ultTramiteObligatorioFaseOTramite",strIdioma.toString(),null) %>';
var validacionProvinciaNumActaDesde = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numeroActa",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())}) %>';
var validacionProvinciaNumActaHasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numeroActa",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())}) %>';
var validacionProvinciaRegDefDesde = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numRegDefinitivo",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.desde",strIdioma.toString())}) %>';
var validacionProvinciaRegDefHasta = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.numRegDefinitivo",strIdioma.toString())+" "+
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.hasta",strIdioma.toString())}) %>';
var validacionProvinciaNumPreaviso = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","error.mensaje.provinciaIntroducidaNoEsValida",strIdioma.toString(),new String[]{
												Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.nPreaviso",strIdioma.toString())}) %>';

var literalfechaEleccionBaja = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMayor",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fBaja",strIdioma.toString())
						,
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fEleccion",strIdioma.toString())
						}) %>';
var literalFechaCierre = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.fechacierre"/>';		
var literalfechaBajaErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.fBaja",strIdioma.toString())
						}) %>';
var convenioErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
					Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.convenio",strIdioma.toString())
					}) %>';
var motivoBajaErroneo = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.invalid",strIdioma.toString(),new String[]{
					Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.motivoBaja",strIdioma.toString())
					}) %>';

						
var literalCamposObligatorios = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.camposObligatorios"/>';				
		
var provincia_Permiso = '<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>';
var provincia_SS = '<%=W83bClsConstantes.CONSTANTE_SERVICIOS_CENTRALES%>';


var usuarioAdminConsul = '<%=W83bUtilidadesN38API.elegirAdministradorConsulta(permisoUsuario.getPerfilXLNets())%>';
var btnEditarConsultar =  btnConsultar;
//solo puede modificar si no es servicios centrales y es tramitador
if(provincia_Permiso!=<%=W83bClsConstantes.CONSTANTE_SERVICIOS_CENTRALES%>&&usuarioAdminConsul==<%=W83bClsConstantes.PERMISO_ADMINISTRADOR%>){
	permisoModificacion = true;
	btnEditarConsultar =btnEditar;
}
else{
	permisoModificacion = false;
	literalseleccionarUnRegistroEditarSolo= '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistroConsultar"/>';
	literalseleccionarUnRegistroEditar= '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.seleccionarUnRegistroEditarConsultar"/>';
}
</script>